Bug 1356365 - CVE-2016-5636 python34: python: Heap overflow in zipimporter module [epel-7]
Summary: CVE-2016-5636 python34: python: Heap overflow in zipimporter module [epel-7]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python34
Version: epel7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Petr Viktorin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2016-5636
TreeView+ depends on / blocked
 
Reported: 2016-07-14 02:33 UTC by Doran Moppert
Modified: 2016-08-27 15:48 UTC (History)
4 users (show)

Fixed In Version: python34-3.4.3-7.el7
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-27 15:48:08 UTC


Attachments (Terms of Use)

Description Doran Moppert 2016-07-14 02:33:34 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

[bug automatically created by: add-tracking-bugs]

Comment 1 Doran Moppert 2016-07-14 02:33:40 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1345856,1356365

# Description of your update
notes=Security fix for CVE-2016-5636

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2016-08-09 18:28:20 UTC
python34-3.4.3-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2c0e0e64b2

Comment 3 Fedora Update System 2016-08-10 14:23:34 UTC
python34-3.4.3-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2c0e0e64b2

Comment 4 Fedora Update System 2016-08-27 15:48:01 UTC
python34-3.4.3-7.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.